### Hierarchy

- CatavoltApi

### Implemented by

- CatavoltApiImpl

## Index

### Properties

- DEFAULT_LOCALE
- clientTimeoutMillis
- currencySymbol
- dataLastChangedTime
- deviceProps
- dialogApi
- isLoggedIn
- locale
- onSessionExpiration
- remainingSessionTime
- session
- sessionHasExpired

### Methods

- addClientListener
- addDynamicDeviceProp
- addStaticDeviceProp
- changePasswordAndLogin
- getRedirection
- initDialogApi
- isAnyUserInBriefcaseMode
- isFeatureSetAvailable
- isUserInBriefcaseMode
- login
- loginWithToken
- logout
- openDialog
- openDialogWithId
- openStream
- performWorkbenchAction
- performWorkbenchActionForId
- refreshSession
- removeClientListener
- streamContent
- toDialogOrRedirection

## Properties

### DEFAULT_LOCALE

DEFAULT_LOCALE: CvLocale

- Defined in dialog/CatavoltApi.ts:23

### clientTimeoutMillis

clientTimeoutMillis: number

- Defined in dialog/CatavoltApi.ts:13

### currencySymbol

currencySymbol: string

- Defined in dialog/CatavoltApi.ts:14

### dataLastChangedTime

dataLastChangedTime: Date

- Defined in dialog/CatavoltApi.ts:11

### deviceProps

deviceProps: object

- Defined in dialog/CatavoltApi.ts:15

#### Type declaration

- ##### [p: string]: string

### dialogApi

dialogApi: DialogApi

- Defined in dialog/CatavoltApi.ts:16

### isLoggedIn

isLoggedIn: boolean

- Defined in dialog/CatavoltApi.ts:17

### locale

locale: CvLocale

- Defined in dialog/CatavoltApi.ts:12

### onSessionExpiration

onSessionExpiration: function

- Defined in dialog/CatavoltApi.ts:18

#### Type declaration

- - (): void

  - #### Returns void

### remainingSessionTime

remainingSessionTime: number

- Defined in dialog/CatavoltApi.ts:19

### session

session: Session

- Defined in dialog/CatavoltApi.ts:20

### sessionHasExpired

sessionHasExpired: boolean

- Defined in dialog/CatavoltApi.ts:21

## Methods

### addClientListener

- addClientListener(clientListener: ClientListener): void

- - Defined in dialog/CatavoltApi.ts:29

  #### Parameters

  - ##### clientListener: ClientListener

  #### Returns void

### addDynamicDeviceProp

- addDynamicDeviceProp(propName: string, propFn: function): void

- - Defined in dialog/CatavoltApi.ts:36

  Add or replace a dynamic device property (func)

  #### Parameters

  - ##### propName: string

  - ##### propFn: function

    - - (): string

      - #### Returns string

  #### Returns void

### addStaticDeviceProp

- addStaticDeviceProp(propName: string, propValue: string): void

- - Defined in dialog/CatavoltApi.ts:44

  Add or replace a static device property

  #### Parameters

  - ##### propName: string

  - ##### propValue: string

  #### Returns void

### changePasswordAndLogin

- changePasswordAndLogin(tenantId: string, clientType: ClientType, userId: string, existingPassword: string, newPassword: string): Promise<Session | Redirection>

- - Defined in dialog/CatavoltApi.ts:46

  #### Parameters

  - ##### tenantId: string

  - ##### clientType: ClientType

  - ##### userId: string

  - ##### existingPassword: string

  - ##### newPassword: string

  #### Returns Promise<Session | Redirection>

### getRedirection

- getRedirection(redirectionId: string): Promise<Redirection>

- - Defined in dialog/CatavoltApi.ts:115

  #### Parameters

  - ##### redirectionId: string

  #### Returns Promise<Redirection>

### initDialogApi

- initDialogApi(serverUrl: string, serverVersion: string): void

- - Defined in dialog/CatavoltApi.ts:60

  Initialize a dialog service implementation for use by this CatavoltApiImpl

  #### Parameters

  - ##### serverUrl: string

  - ##### serverVersion: string

  #### Returns void

### isAnyUserInBriefcaseMode

- isAnyUserInBriefcaseMode(tenantId: string): Promise<boolean>

- - Defined in dialog/CatavoltApi.ts:75

  Check offline status

  #### Parameters

  - ##### tenantId: string

  #### Returns Promise<boolean>

### isFeatureSetAvailable

- isFeatureSetAvailable(featureSet: FeatureSet): boolean

- - Defined in dialog/CatavoltApi.ts:68

  Check for the availability of the given featureSet

  see

    FeatureSet

  #### Parameters

  - ##### featureSet: FeatureSet

  #### Returns boolean

### isUserInBriefcaseMode

- isUserInBriefcaseMode(userInfo: __type): Promise<boolean>

- - Defined in dialog/CatavoltApi.ts:81

  #### Parameters

  - ##### userInfo: __type

  #### Returns Promise<boolean>

### login

- login(tenantId: string, clientType: ClientType, userId: string, password: string): Promise<Session | Redirection>

- - Defined in dialog/CatavoltApi.ts:93

  Log in and retrieve the Session

  #### Parameters

  - ##### tenantId: string

  - ##### clientType: ClientType

  - ##### userId: string

  - ##### password: string

  #### Returns Promise<Session | Redirection>

### loginWithToken

- loginWithToken(tenantId: string, clientType: ClientType, permissionToken: string, proofKey: string): Promise<Session | Redirection>

- - Defined in dialog/CatavoltApi.ts:95

  #### Parameters

  - ##### tenantId: string

  - ##### clientType: ClientType

  - ##### permissionToken: string

  - ##### proofKey: string

  #### Returns Promise<Session | Redirection>

### logout

- logout(): Promise<object>

- - Defined in dialog/CatavoltApi.ts:105

  Logout and destroy the session

  #### Returns Promise<object>

### openDialog

- openDialog(redirection: DialogRedirection): Promise<Dialog>

- - Defined in dialog/CatavoltApi.ts:109

  #### Parameters

  - ##### redirection: DialogRedirection

  #### Returns Promise<Dialog>

### openDialogWithId

- openDialogWithId(dialogId: string): Promise<Dialog>

- - Defined in dialog/CatavoltApi.ts:107

  #### Parameters

  - ##### dialogId: string

  #### Returns Promise<Dialog>

### openStream

- openStream(url: string): Promise<StreamProducer>

- - Defined in dialog/CatavoltApi.ts:111

  #### Parameters

  - ##### url: string

  #### Returns Promise<StreamProducer>

### performWorkbenchAction

- performWorkbenchAction(workbenchAction: WorkbenchAction): Promise<object | Redirection>

- - Defined in dialog/CatavoltApi.ts:122

  Open a WorkbenchAction

  #### Parameters

  - ##### workbenchAction: WorkbenchAction

  #### Returns Promise<object | Redirection>

  | Redirection>}

### performWorkbenchActionForId

- performWorkbenchActionForId(workbenchId: string, workbenchActionId: string): Promise<object | Redirection>

- - Defined in dialog/CatavoltApi.ts:130

  Open a {@link WorkbenchWorkbenchAction}

  #### Parameters

  - ##### workbenchId: string

  - ##### workbenchActionId: string

  #### Returns Promise<object | Redirection>

  | Redirection>}

### refreshSession

- refreshSession(tenantId: string, sessionId: string): Promise<Session>

- - Defined in dialog/CatavoltApi.ts:140

  Refresh the CatavoltApiImpl

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  #### Returns Promise<Session>

### removeClientListener

- removeClientListener(clientListener: ClientListener): void

- - Defined in dialog/CatavoltApi.ts:146

  #### Parameters

  - ##### clientListener: ClientListener

  #### Returns void

### streamContent

- streamContent(contentId: string, streamConsumer: StreamConsumer): Promise<LargeProperty>

- - Defined in dialog/CatavoltApi.ts:154

  #### Parameters

  - ##### contentId: string

  - ##### streamConsumer: StreamConsumer

  #### Returns Promise<LargeProperty>

### toDialogOrRedirection

- toDialogOrRedirection(resultPr: Promise<__type>): Promise<Dialog | Redirection>

- - Defined in dialog/CatavoltApi.ts:113

  #### Parameters

  - ##### resultPr: Promise<__type>

  #### Returns Promise<Dialog | Redirection>

Generated using TypeDoc